import { HttpClient } from '@wix/sdk-types';
import { SyncEditorDataOptions } from './multilingual-genericconverter-v1-entity-mapper-entity-mapper.universal.js';
export declare const __metadata: {
    PACKAGE_NAME: string;
};
export declare function syncEditorData(httpClient: HttpClient): SyncEditorDataSignature;
interface SyncEditorDataSignature {
    /**
     * Update localization content with editor data
     */
    (options?: SyncEditorDataOptions | undefined): Promise<void>;
}
export { ActionEvent, ChangedPages, CreateOrUpdateAction, CreateOrUpdateEditorMapperRequest, CreateOrUpdateEditorMapperResponse, CreateOrUpdateNileMapperRequest, CreateOrUpdateNileMapperResponse, DeleteAction, DeleteEntityMapperRequest, DeleteEntityMapperResponse, DeleteMapperRequest, DeleteMapperResponse, DomainEvent, DomainEventBodyOneOf, Empty, EntityCreatedEvent, EntityDeletedEvent, EntityUpdatedEvent, FieldSequence, FieldType, FocalPoint, GetEntityMapperRequest, GetEntityMapperResponse, GetMapperRequest, GetMapperResponse, GetSubscribedTopicsRequest, GetSubscribedTopicsResponse, HtmlNewRevisionSavedMessage, IdentificationData, IdentificationDataIdOneOf, ListEntityMapperRequest, ListEntityMapperResponse, ListMappersRequest, ListMappersResponse, LocalizationPublicAction, LocalizationPublicActionActionOneOf, LocalizedContentKey, LocalizedPublishedContent, LocalizedPublishedContentField, LocalizedPublishedContentFieldValueOneOf, LocalizedPublishedLanguageContentChanged, Mapper, MapperField, MediaItem, MediaItemMediaOneOf, MessageEnvelope, Page, PublishSiteTranslationsRequest, PublishSiteTranslationsResponse, RestoreInfo, RevisionInfo, SchemaKey, SchemaScope, SequencePath, SyncEditorDataOptions, SyncEditorDataRequest, SyncEditorDataResponse, SyncFilter, VideoResolution, WebhookIdentityType, } from './multilingual-genericconverter-v1-entity-mapper-entity-mapper.universal.js';
