"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookIdentityType = exports.SchemaScope = exports.FieldType = void 0;
var FieldType;
(function (FieldType) {
    /** Undefined field type */
    FieldType["UNDEFINED_TYPE"] = "UNDEFINED_TYPE";
    /** Short text TEXT */
    FieldType["SHORT_TEXT"] = "SHORT_TEXT";
    /** Long Plain Text TEXT */
    FieldType["LONG_TEXT"] = "LONG_TEXT";
    /** Long text including styles, images, links and more... HTML */
    FieldType["RICH_TEXT"] = "RICH_TEXT";
    /** Wix Rich-Content-Editor format RICO */
    FieldType["RICH_CONTENT_EDITOR"] = "RICH_CONTENT_EDITOR";
    /** Choose one from many options CSV TEXT */
    FieldType["SELECTION"] = "SELECTION";
    /** Choose multi items from many options */
    FieldType["MULTI_SELECTION"] = "MULTI_SELECTION";
    /** Wix document media item */
    FieldType["DOCUMENT"] = "DOCUMENT";
    /** Wix Image media item */
    FieldType["IMAGE"] = "IMAGE";
    /** Wix Video media item */
    FieldType["VIDEO"] = "VIDEO";
    /** Image URL without metadata */
    FieldType["IMAGE_LINK"] = "IMAGE_LINK";
})(FieldType || (exports.FieldType = FieldType = {}));
var SchemaScope;
(function (SchemaScope) {
    /** Global schema, relevant to all sites */
    SchemaScope["GLOBAL"] = "GLOBAL";
    /** Site schema, relevant to specific site only */
    SchemaScope["SITE"] = "SITE";
})(SchemaScope || (exports.SchemaScope = SchemaScope = {}));
var WebhookIdentityType;
(function (WebhookIdentityType) {
    WebhookIdentityType["UNKNOWN"] = "UNKNOWN";
    WebhookIdentityType["ANONYMOUS_VISITOR"] = "ANONYMOUS_VISITOR";
    WebhookIdentityType["MEMBER"] = "MEMBER";
    WebhookIdentityType["WIX_USER"] = "WIX_USER";
    WebhookIdentityType["APP"] = "APP";
})(WebhookIdentityType || (exports.WebhookIdentityType = WebhookIdentityType = {}));
//# sourceMappingURL=multilingual-genericconverter-v1-entity-mapper-entity-mapper.types.js.map